- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_write_concern_t

# mongoc_write_concern_is_default()

## Synopsis

    bool
    mongoc_write_concern_is_default (mongoc_write_concern_t *write_concern);

## Parameters

- `write_concern`: A pointer to a mongoc_write_concern_t.

## Description

Returns true if `write_concern` has not been modified from the default. For example, if no “w” option is set in the MongoDB URI and you have not called mongoc_client_set_write_concern(), then mongoc_write_concern_is_default() is true for the write concern returned by mongoc_client_get_write_concern().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.